/*
   FreeLaunch InstallationDll header (c) Thomas Blummer 1995
   $Id: frldll.c 1.4 1995/03/10 19:48:41 thomas Exp $

   NOTE : you must include an InstallationDLL statement into your configuration
   file to use this interface.
   NOTE : this entry is called every time from the first (PM) thread, so be gentle,
        or start an other thread and disable frame until you finished.
   Compile this file as a DLL. Module definition file is supplied in frldll.def
   eg: icc /Gm /Ge- frldll.c /B/BATCH frldll.def
*/

#include "frldll.h"

#define INCL_BASE
#include <os2.h>

#include <string.h>

BOOL _System frlentry (HAB hab, HWND frame, ULONG state, const char *dir, ULONG param)
{
        switch ( state )
        {
                case FLST_INSTALLDONE :
                        return TRUE;
                case FLST_REMOVESTART :
			/*
			** The following lines are only meaningful
			** for the deinstallation of FreeLaunch
			** Replace or delete the following lines
			** depending on your needs
			*/
			{
				char path [1024];
				strcpy (path, dir);
				strcat (path, "\\frldll.dll");
				DosDelete (path);
				strcpy (path, dir);
				strcat (path, "\\frldll.obj");
				DosDelete (path);
				strcpy (path, dir);
				strcat (path, "\\install.rc");
				DosDelete (path);
				strcpy (path, dir);
				strcat (path, "\\install.res");
				DosDelete (path);
				strcpy (path, dir);
				strcat (path, "\\frl.res");
				DosDelete (path);
			}
                        return TRUE;
        }
        return TRUE;
}
